Page doesn't load/render if the mouse is not moving

RESOLVED FIXED

Status

()

Core
Widget: Win32
RESOLVED FIXED
4 years ago
2 years ago

People

(Reporter: EddyCarr, Assigned: bas)

Tracking

(Blocks: 1 bug, {regression})

25 Branch
x86_64
Windows 7
regression
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox25+ verified, firefox26+ verified, firefox27+ fixed, firefox28+ fixed, firefox29+ fixed, firefox30+ fixed, firefox31 fixed, firefox32+ fixed, firefox33+ wontfix, firefox34+ wontfix, firefox35+ wontfix, firefox36+ wontfix, firefox-esr31 fixed, b2g-v1.3 fixed, b2g-v1.3T fixed, b2g-v1.4 fixed)

Details

(Whiteboard: [DO NOT REOPEN, see bug 1105386], URL)

Attachments

(9 attachments)

19.34 KB, text/plain
Details
1.55 MB, application/x-shockwave-flash
Details
3.34 MB, application/x-zip-compressed
Details
3.34 MB, application/x-zip-compressed
Details
3.33 MB, application/x-zip-compressed
Details
3.32 MB, application/x-zip-compressed
Details
3.33 MB, application/x-zip-compressed
Details
3.33 MB, application/x-zip-compressed
Details
2.61 KB, text/plain
Details
(Reporter)

Description

4 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20100101 Firefox/25.0 (Beta/Release)
Build ID: 20131025151332

Steps to reproduce:

Click on link to open a new web page. Don't move mouse.


Actual results:

Page doesn't load.


Expected results:

Page should have loaded.

Page will only load when mouse is moving.

Please note that I am unable to replicate this bug on my own system. I've seen 3 separate reports of this issue in the SUMO English forum and I'm told that there are others in the Italian specific support forum.

https://support.mozilla.org/en-US/questions/975941
https://support.mozilla.org/en-US/questions/976034
https://support.mozilla.org/en-US/questions/976030

Users have tried Safe Mode and Firefox Reset but the bug persists.

Comment 1

4 years ago
Did they try with HWA disabled?
http://support.mozilla.org/en-US/kb/forum-response-disable-hardware-acceleration

Is it possible for them to type about:support in the location bar and paste the "graphics" section.
Flags: needinfo?(EddyCarr)
(Reporter)

Comment 2

4 years ago
I've asked all 3 for the info. Only one replied so far.

https://support.mozilla.org/en-US/questions/976030

Will post more answers if they come.

Username = thamatho

Hardware acceleration was already disabled when the issue was occurring.

Copy and paste of Graphics section from about:support:

DirectWrite ενεργό false (6.2.9200.16571) GPU #2 Ενεργή false ID Κατασκευαστή 0x1002 ID συσκευής 0x6739 RAM προσαρμογέα 1024 WebGL Renderer Google Inc. -- ANGLE (AMD Radeon HD 6800 Series Direct3D9Ex vs_3_0 ps_3_0) windowLayerManagerRemote false Έκδοση οδηγού 12.104.0.0 Επιτάχυνση γραφικών GPU 0/1 Basic Ημερομηνία οδηγού 3-28-2013 Οδηγοί προσαρμογέα aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64 Περιγραφή προσαρμογέα AMD Radeon HD 6800 Series AzureCanvasBackend skia AzureContentBackend none AzureFallbackCanvasBackend cairo AzureSkiaAccelerated 0
Flags: needinfo?(EddyCarr)
(Reporter)

Comment 3

4 years ago
https://support.mozilla.org/en-US/questions/976034#answer-496715

2nd user has replied. Username = DebraJMSmith

She confirms that disabling hardware acceleration doesn't help.

Copy and paste of Graphics section from about:support:

Graphics Adapter Description Intel(R) 82945G Express Chipset Family Adapter Drivers igxprd32 Adapter RAM Unknown Device ID 0x2772 Direct2D Enabled Blocked for your graphics driver version. DirectWrite Enabled false (0.0.0.0) Driver Date 10-6-2006 Driver Version 6.14.10.4704 GPU #2 Active false GPU Accelerated Windows 0/1 Basic Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.4926 or newer. Vendor ID 0x8086 WebGL Renderer Blocked for your graphics driver version. Try updating your graphics driver to version 6.1400.1000.4926 or newer. windowLayerManagerRemote false AzureCanvasBackend skia AzureContentBackend none AzureFallbackCanvasBackend cairo AzureSkiaAccelerated 0
Jim, cc'ed you as this seems similar to bug 627084.

Adding the SUMO contributor forum thread where this is being discussed to the URL field.

Comment 5

4 years ago
In the past this was caused by a lost or out of sync native event mechanism we have down in app shell. When we want to process gecko events on the main thread we post a native windows message to a window [1] which triggers processing gecko events [2]. We also introduced a safety mechanism that primes native event callbacks if we haven't processed one in a long time in bug 627084.

Reports indicate this regressed in Fx25: 2013-06-24 - 2013-08-05.

Finding a way to reproduce so we can track down a regression range in nightly installs [3] would be great.

[1] http://mxr.mozilla.org/mozilla-central/source/widget/windows/nsAppShell.cpp#160
[2] http://mxr.mozilla.org/mozilla-central/source/widget/xpwidgets/nsBaseAppShell.cpp#62
[3] http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2013/
Keywords: regression, regressionwindow-wanted
(Reporter)

Comment 6

4 years ago
Another user has replied. https://support.mozilla.org/en-US/questions/976034#answer-497019

Username = DrJim

Graphics Adapter Description Intel(R) 82845G/GL/GE/PE/GV Graphics Controller Adapter Drivers ialmrnt5 Adapter RAM Unknown Device ID 0x2562 Direct2D Enabled Blocked for your graphics driver version. DirectWrite Enabled false (0.0.0.0) Driver Date 3-23-2006 Driver Version 6.14.10.4544 GPU #2 Active false GPU Accelerated Windows 0/1 Basic Vendor ID 0x8086 windowLayerManagerRemote false AzureCanvasBackend skia AzureContentBackend none AzureFallbackCanvasBackend cairo AzureSkiaAccelerated 0 

Shall I keep posting these if I get more?

Comment 7

4 years ago
No, I guess it's OK.

Comment 8

4 years ago
But maybe some users affected by this issue can install the tool mozregression to find a possible regression range: http://harthur.github.com/mozregression/
FF25 nightlies started in June 2013 (mozregression --good=2013-06-01) they just need to past the console output.

Eddy, can you ask a user to test that, please?
(Reporter)

Comment 9

4 years ago
Ok yes I'll ask them. I've not used the mozregression tool before myself so I'm having a bit of trouble describing exactly what the user needs to do. Is this a good description?

"If possible it would be a huge help to our team if you could run the mozregression tool. See instructions here:

http://harthur.github.io/mozregression/

This tool will let you test against various versions of the nightly channel of Firefox to establish when the bug was introduced.

The version which has introduced the issue (v25) started in the nightly channel in June so if you start with the command:

'''mozregression --good=2013-06-01'''

That should establish a case where the bug does not appear. You then test against each version until the bug appears. Once you find a case where the bug appears please paste the console output into the reply box below. That should let us identify the exact version of nightly (and therefore the changes made) that introduced the bug."
Since we already have a discussion forum thread on this topic, it would be really great if the developers working on this bug wanted to join there. It would save the bug some clutter and SUMO contributors are really craving more interaction with developers!

Also, several people claimed they had the issue before updating to 25. It's possible something else updated near the same time and people just noticed the Firefox update and assumed that was the cause since Firefox is the affected program.

Updated

4 years ago
See Also: → bug 613914, bug 935667

Updated

4 years ago
See Also: → bug 580634

Comment 11

4 years ago
Another report on the French support forum: http://forums.mozfr.org/viewtopic.php?f=5&t=115888
Video of the issue: http://youtu.be/uwIzG5XLnOg

Comment 12

4 years ago
according to a user in the german support forum* this is the regression range for the issue:
https://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2013-07-30&enddate=2013-07-31

*http://www.camp-firefox.de/forum/viewtopic.php?p=888442#p888442

Comment 13

4 years ago
a possible suspect:

Nicholas Cameron — Bug 896896. Use MsgWaitForMultipleObjectsEx instead of WaitMessage. r=roc

For the users who are seeing this, can you reproduce this reliably? If so we could fire up some try builds with certain patches backed out for testing.

Updated

4 years ago
Status: UNCONFIRMED → NEW
Ever confirmed: true

Comment 14

4 years ago
as far as i understand it from the description of users, the problem seems to reproducible (but i don't have it on black and white). i've also sent a PM to the user who came up with the regression range trying to confirm that...

Comment 15

4 years ago
Here's a try push with bug 896896 backed out. Release builds should be up in an hour or so.

https://tbpl.mozilla.org/?tree=Try&rev=1c93a21e3028

Comment 16

4 years ago
As it's a regression, tracking flags.
status-firefox25: --- → affected
tracking-firefox25: --- → ?
tracking-firefox26: --- → ?
tracking-firefox27: --- → ?
tracking-firefox28: --- → ?
Tracking the regression, will leave the 25 nom so it can be found for consideration in dot release if the backout confirmed to fix.

Eddy - can you test with the build from comment 15 and see if this issue no longer reproduces?
status-firefox26: --- → affected
status-firefox27: --- → affected
status-firefox28: --- → affected
tracking-firefox26: ? → +
tracking-firefox27: ? → +
tracking-firefox28: ? → +
Flags: needinfo?(EddyCarr)
Keywords: qawanted

Comment 18

4 years ago
in this thread 2 users reported that the issue is gone with the try build from comment 15: https://support.mozilla.org/en-US/questions/976293

Comment 19

4 years ago
nrc, looks like bug 896896 caused a pretty bad regression in fx25 for some. Do you have the time to investigate a fix?
Blocks: 896896
Flags: needinfo?(ncameron)
Keywords: qawanted, regressionwindow-wanted

Comment 20

4 years ago
(In reply to Jim Mathies [:jimm] from comment #19)
> nrc, looks like bug 896896 caused a pretty bad regression in fx25 for some.
> Do you have the time to investigate a fix?

Not really, but this sounds pretty bad, so I'll try to make some time this week.

It is pretty important to know what versions of Windows this is affecting. I asked on the SUMO threads, if anyone has any additional data, that would be great.
Flags: needinfo?(ncameron)

Updated

4 years ago
Assignee: nobody → ncameron
Component: Untriaged → Widget: Win32
Product: Firefox → Core

Comment 21

4 years ago
hello nick, on SUMO in most cases you can the user-agent of thread owners when you click on "More system details" on the right. i've gone through some threads about this issue i could find - 7 affected users had Win7 64bit, 4 WinXP 32bit & 1 Win7 32bit...

Comment 22

4 years ago
UA of the French user with this issue on mozfr:
Mozilla/5.0 (Windows NT 5.1; rv:25.0) Gecko/20100101 Firefox/25.0

Comment 23

4 years ago
&another one with Windows Server 2003 64bit: https://support.mozilla.org/en-US/questions/975994

Comment 24

4 years ago
We could backout the patch from bug 896896 from (say) 25 and 26 whilst I work on a fix - given that I can't repro this, that might not be quick. The bug we fixed with 896896 only manifests with OMTC, which is close to zero users on Windows for now, so I don't think we'd be introducing more bugs.
(Reporter)

Updated

4 years ago
Flags: needinfo?(EddyCarr)
NIck - can you prep a backout patch and nominate for beta uplift?  Would like to get this in today's beta so it can be tested for potential inclusion in a 25 dot release.
Flags: needinfo?(ncameron)
This backs out cleanly from m-r and has one conflict in MetroAppShell.cpp in m-b that jimm says is safe to ignore since Metro isn't enabled there anyway.
a=me on sheriff backout
Bug 896896 backed out from Fx26.
https://hg.mozilla.org/releases/mozilla-beta/rev/b71b215ff897
status-firefox26: affected → fixed
Flags: needinfo?(ncameron)

Comment 29

4 years ago
(In reply to Ryan VanderMeulen [:RyanVM UTC-5] from comment #26)
> This backs out cleanly from m-r and has one conflict in MetroAppShell.cpp in
> m-b that jimm says is safe to ignore since Metro isn't enabled there anyway.

You can safely ignore the metro changes on all repos since we have updated that code and removed the wait (m-c/m-a), or it's not in the repo at all yet (m-b/m-r).

http://mxr.mozilla.org/mozilla-central/source/widget/windows/winrt/MetroAppShell.cpp#298
http://mxr.mozilla.org/mozilla-aurora/source/widget/windows/winrt/MetroAppShell.cpp#300

Comment 30

4 years ago
I am having this issue since the auto-upgrade to r25.  I use Firefox pretty exclusively so I know this started with the r25 upgrade.  Browser just stops loading unless I keep moving the mouse.  Watching a video even will continue to play the sound but the picture will stop unless I move the mouse.

I am on Windows 7 SP1 64-bit.  It is a Gateway SX2801 machine.

Comment 31

4 years ago
hey andy, look out for the firefox 26 beta 4 version which is going to be released tomorrow at mozilla.org/beta and should no longer be affected by this problem.

Comment 32

4 years ago
(In reply to lsblakk@mozilla.com [:lsblakk] from comment #25)
> NIck - can you prep a backout patch and nominate for beta uplift?  Would
> like to get this in today's beta so it can be tested for potential inclusion
> in a 25 dot release.

So nothing to do here due to our well-oiled sheriffing machine? Thanks!

Comment 33

4 years ago
I filed bug 937306 to work on a 'proper' fix for this, so we can concentrate on the immediate fix (backout 896896) here.

Updated

4 years ago
tracking-firefox25: ? → +
We'll take this as a ride-along for 25.0.1 - this will especially annoy users who use laptops.
Fx25 backout: https://hg.mozilla.org/releases/mozilla-release/rev/33b48d5a8be3
status-firefox25: affected → fixed
Keywords: verifyme

Comment 36

4 years ago
first feedback on 26.0b4 is positive so far: https://support.mozilla.org/en-US/questions/976207#answer-500959

Comment 37

4 years ago
I tried to reproduce this issue on Mozilla/5.0 (Windows NT 6.1; WOW64; rv:25.0) Gecko/20100101 Firefox/25.0 (20130917123208) but with no success.

This wasn't reproduced at all by the QA team while testing Firefox 25 and 26.

Eddy, can you please verify this bug was fixed on Firefox 25.0.1?
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/25.0.1-candidates/build1/win32/en-US/
Flags: needinfo?(EddyCarr)
(Reporter)

Comment 38

4 years ago
I've never been able to reproduce the problem either. I was just reporting based on all the issues faced by users in the SUMO forums.

Philipp has asked this user to test the 26 beta from yesterday with good results:

https://support.mozilla.org/en-US/questions/976207#answer-500959

I'll post the link to 25.0.1 to one or two of the people on the SUMO forum who are experiencing the issues and let you know their results.
Flags: needinfo?(EddyCarr)
(Reporter)

Updated

4 years ago
Flags: needinfo?(EddyCarr)

Comment 39

4 years ago
26 beta 4 seems to have corrected the issue so far.  Thanks!!
(Reporter)

Comment 40

4 years ago
@Andy - 

Would you mind testing using 25.0.1 candidate from here:

ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/25.0.1-candidates/build1/win32/en-US/

That should also fix the issue but needs to be tested by someone who has experienced the issue.

Thanks.
Flags: needinfo?(EddyCarr) → needinfo?(thoan02)

Comment 41

4 years ago
Yes, 25.0.1 seems to not have the issue either.
Flags: needinfo?(thoan02)
(In reply to Andy from comment #41)
> Yes, 25.0.1 seems to not have the issue either.

Thanks for your help, Andy.
status-firefox25: fixed → verified
status-firefox26: fixed → verified
Keywords: verifyme

Comment 43

4 years ago
(In reply to EddyCarr from comment #40)
> @Andy - 
> 
> Would you mind testing using 25.0.1 candidate from here:
> 
Hi, I faced the same Problem. The latest automatic update to 25.0.1 did fix it. THANKS !
By the way, the new 64-Bit Version "Nightly" also does not have this problem :-)
regards, klasi

Comment 44

4 years ago
(In reply to Ryan VanderMeulen [:RyanVM UTC-5] from comment #35)
> Fx25 backout:
> https://hg.mozilla.org/releases/mozilla-release/rev/33b48d5a8be3

Did this get backed out of 26? The flag is set but I don't see the corresponding push post to m-b.

Comment 45

4 years ago
(In reply to Jim Mathies [:jimm] from comment #44)
> (In reply to Ryan VanderMeulen [:RyanVM UTC-5] from comment #35)
> > Fx25 backout:
> > https://hg.mozilla.org/releases/mozilla-release/rev/33b48d5a8be3
> 
> Did this get backed out of 26? The flag is set but I don't see the
> corresponding push post to m-b.

nm, found over in the original bug - 

https://hg.mozilla.org/releases/mozilla-beta/rev/b71b215ff897

Comment 46

4 years ago
25.01 seems to have fixed my problems with this bug.  Everything is working as it should now.

Comment 47

4 years ago
there are a few reports that 25.0.1 might have caused a darkened and unresponsive screen after a certain amount of time on a website:
https://support.mozilla.org/en-US/questions/977871 (with screenshot)
https://support.mozilla.org/en-US/questions/977923
https://support.mozilla.org/en-US/questions/977865

Comment 48

4 years ago
(In reply to philipp from comment #47)
> there are a few reports that 25.0.1 might have caused a darkened and
> unresponsive screen after a certain amount of time on a website:
> https://support.mozilla.org/en-US/questions/977871 (with screenshot)
> https://support.mozilla.org/en-US/questions/977923
> https://support.mozilla.org/en-US/questions/977865

Thanks for reporting this. Could you file a separate bug please? It is probably coincidence that it happens with 25.0.1 and not connected with this backout, after all we just reverted to earlier code. Not sure what would cause the darkened screen, sounds like something the OS would do, but I've never had Windows do that to me unless it is opening a security dialog box.

Comment 49

4 years ago
ok thanks for clarifying, i've probably just assumed that this happened after an update from 25.0 to 25.0.1, but actually it doesn't say that directly in any of the threads. so i'll wait if we can get any further in troubleshooting the issue in the sumo forums before i file a new bug...

Comment 50

4 years ago
(In reply to Nick Cameron [:nrc] from comment #48)
> (In reply to philipp from comment #47)
> > there are a few reports that 25.0.1 might have caused a darkened and
> > unresponsive screen after a certain amount of time on a website:
> > https://support.mozilla.org/en-US/questions/977871 (with screenshot)
> > https://support.mozilla.org/en-US/questions/977923
> > https://support.mozilla.org/en-US/questions/977865
> 
> Thanks for reporting this. Could you file a separate bug please? It is
> probably coincidence that it happens with 25.0.1 and not connected with this
> backout, after all we just reverted to earlier code. Not sure what would
> cause the darkened screen, sounds like something the OS would do, but I've
> never had Windows do that to me unless it is opening a security dialog box.

Hmm, I wonder if I spoke to soon - if you don't respond to Windows messages for some time, Windows replaces you with a ghost window, which might have this effect. However, that we've been with the previous WaitMessage implementation for years without problems and that refreshing the webpage still works, makes me think they are unconnected still.

Comment 51

4 years ago
I am trying to work out a long term fix for this problem and need some help from users who can reproduce it (I cannot). It would entail running a few experimental builds of Firefox which would do some logging, observing if the problem occurs, and posting the logs. Would anyone who has had this problem be willing to help? Thanks!
Flags: needinfo?(thoan02)
Flags: needinfo?(nirwin113)
Flags: needinfo?(madperson)
Flags: needinfo?(klasi)

Comment 52

4 years ago
i'm not affected by it or can reproduce it either, but if we don't get feedback otherwise i could try to ping some users who reported the issue in the support forums and have been helpful so far, once there are test-builds to run...
Flags: needinfo?(madperson)

Comment 53

4 years ago
I am not currently seeing the problem since installing 25.0.1.  However, if I view a video (such as something from YouTube) and select full screen, it still shows the behavior.  I don't see this with videos in full screen from Chrome.

Anyway, I am willing to do testing since I did see the problem with the last release of Firefox I was on if that is good enough.
Flags: needinfo?(thoan02)

Comment 54

4 years ago
Build 1 (without the fix, with logging): http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/ncameron@mozilla.com-ed7bd96a1254/try-win32/firefox-28.0a1.en-US.win32.installer.exe

Build 2 (with a different potential fix and some logging): http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/ncameron@mozilla.com-fd2184b61c29/try-win32/firefox-28.0a1.en-US.win32.installer.exe


I would be grateful if Andy and others could install and run these two builds, they are both nightly versions of Firefox from last week some time with some minor changes.

I would like you to run build 1 until you observe the locked up screen behaviour described in this bug, then leave it for 10 seconds or so (so it is obvious in the logs) and then exit Firefox. For build 2, I would like you to use it as normal to try and cause the problem. Let me know if it still occurs or if it is fixed in this case.

In both cases there should be one or two log files created in Firefox's working directory. They will be called nrc_crloop.log and nrc_msgloop.log. Don't worry if the first is missing, but the second one should always exist. Please email me these logs (ncameron@mozilla.com) and your observations (or email a link to them in Dropbox or something if you prefer). If you could also include the information from about:support, that would be helpful, but is not essential. The log files are plain text, you can inspect them before sending (but please don't modify them). They contain no personal or identifying information and no information about the webpages you viewed.

If you have any problems doing any of that let me know here or by email and I'll do my best to sort it out. Thanks!
Flags: needinfo?(thoan02)

Comment 55

4 years ago
(In reply to Andy from comment #53)
> I am not currently seeing the problem since installing 25.0.1.  However, if
> I view a video (such as something from YouTube) and select full screen, it
> still shows the behavior.  I don't see this with videos in full screen from
> Chrome.
> 

I suspect that is a separate problem, but if you could try this with the experimental builds too, that would be great.

> Anyway, I am willing to do testing since I did see the problem with the last
> release of Firefox I was on if that is good enough.

Yes, that is fine. There is a temporary fix in 25.0.1 so it should be fixed for everyone, but I am trying to find a different, more long term fix. It would be great if you could help out :-)

Comment 56

4 years ago
Pinging the thread again. It would be really awesome if someone could test the build above - it is essential for getting a long term solution to this bug in Firefox. If I can do anything to help you test, just let me know. Thanks!
I don't want to add noise to this bug, but I wanted to mention that this behavior sounds potentially similar to the effect of the (ancient and poorly understood) 'favor performance' mode that smaug is removing in bug 930793. If that were the cause, it sounds like it's getting enabled permanently somehow and only getting turned off briefly when user input happens - but that's a complete guess. Might be a complete red herring, but since this sounds like pretty arcane event loop stuff I wanted to make sure it's on people's radars.
(In reply to Nick Cameron [:nrc] from comment #55)
> (In reply to Andy from comment #53)
> > I am not currently seeing the problem since installing 25.0.1.  However, if
> > I view a video (such as something from YouTube) and select full screen, it
> > still shows the behavior.  I don't see this with videos in full screen from
> > Chrome.
> 
> I suspect that is a separate problem, but if you could try this with the
> experimental builds too, that would be great.

Perhaps you're seeing Bug 912521, which 25.0.1 did not fix for me.
(In reply to Nick Cameron [:nrc] from comment #54)
> Build 1 (without the fix, with logging):

Both of these builds crash on startup for me. https://crash-stats.mozilla.com/report/index/d9c08734-9924-4636-af96-9aca52131204
My dad is visiting, so I have direct access for a while to the windows laptop that exhibits Bug 912521 consistently. But perhaps more interestingly to followers of the report here: On the first run of today's Nightly I experienced the problems reported here on it, immediately on startup, where any form of progress is halted until I wiggle the mouse. Things like page loads after clicking links (or even information-expanding buttons on the same page) cause everything to pause until I move the mouse. This happened consistently for the whole session, i.e. the browser was "ill" for the whole session. But I have restarted Nightly many times since and not been able to see the problem again, except once I thought it started happening where a link exhibited the problem after I had reproduced 912521 with a frozen video.

Since I've not been able to reproduce anything consistently, I'm not sure how much help I can be, but I wanted to mention it. What was interesting to me was that on runs where it got ill, lots of stuff freezes when the mouse isn't moving, from video (though not audio), to page loads (though a nudge seems to cause page loads to complete in full), to progress bars, like the "Nightly update" spinner. The user experience is quite horrible when it happens. Moving the mouse gives temporary relief only.

Comment 61

4 years ago
(In reply to Jan-Ivar Bruaroey [:jib] from comment #59)
> (In reply to Nick Cameron [:nrc] from comment #54)
> > Build 1 (without the fix, with logging):
> 
> Both of these builds crash on startup for me.
> https://crash-stats.mozilla.com/report/index/d9c08734-9924-4636-af96-
> 9aca52131204

Thanks for trying the builds, I suspect this might be because you do not have permission to create the log file and then my (rather hackey) code just crashes because it assumes the log file will be OK. Could you try installing Firefox somewhere where Windows will let you create files (which means not 'program files', annoyingly). Alternatively, you could try running with a specified working directory which you can write to, or running with administrator privileges.

It is expected that nightly and aurora are still broken. We only landed the temporary fix here to release and beta versions, hoping for a long term fix for aurora/nightly before it becomes an issue for users. Thanks for all the info!
Flags: needinfo?(jib)
Thanks, that was the problem.

(In reply to Nick Cameron [:nrc] from comment #54)
> I would like you to run build 1 until you observe the locked up screen
> behaviour described in this bug, then leave it for 10 seconds or so (so it
> is obvious in the logs) and then exit Firefox.

Oddly, I'm able to reproduce it quite consistently now, just hitting the different topic-tabs on cnn.com. I waited more than 10 seconds to make sure it was really frozen and not just loading slowly, then I moved the mouse, observed the page building and quit Firefox after a few seconds.

Not much in the logs, so I'm pasting it here:

nrc_crloop:
Starting chromium log at 103378565

nrc_msgloop:
Starting log at 103178806
WinUtils no-wait at 103409951
WinUtils no-wait at 103409966
WinUtils no-wait at 103409981
WinUtils no-wait at 103409995
WinUtils no-wait at 103410096
WinUtils no-wait at 103410110
WinUtils no-wait at 103410125
WinUtils no-wait at 103410153
WinUtils no-wait at 103411411


> For build 2, I would like you
> to use it as normal to try and cause the problem. Let me know if it still
> occurs or if it is fixed in this case.

The problem still happens with build 2.

nrc_crloop:
Starting chromium log at 105155820

nrc_msgloop:
Starting log at 105142068

Let me know what else I can try.
Flags: needinfo?(jib)

Comment 63

4 years ago
Hi Jan, would you be able to try another build with logging please? Same procedure as before - just browse until the bug happens and then send me the resulting logs. The installer is at http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/ncameron@mozilla.com-2ac4abd471e8/try-win32/firefox-28.0a1.en-US.win32.installer.exe

Thanks!
Flags: needinfo?(thoan02)
Flags: needinfo?(nirwin113)
Flags: needinfo?(klasi)
Flags: needinfo?(jib)
I didn't have access to the laptop today. Will try tomorrow.
(In reply to Nick Cameron [:nrc] from comment #63)

Much better, or the timing changed.

I'm no longer able to reproduce it using the same steps as before (switching topic-tabs on cnn.com). However, after 10-20 runs, I had it happen on browser startup twice. In those cases, visuals freeze during the moonring spinner and the "Connecting..." message in the tab header, during the loading of my google.com homepage. As usual, moving the mouse wakes it up.
Flags: needinfo?(jib)

Comment 66

4 years ago
(In reply to Jan-Ivar Bruaroey [:jib] from comment #65)
> (In reply to Nick Cameron [:nrc] from comment #63)
> 
> Much better, or the timing changed.
> 
> I'm no longer able to reproduce it using the same steps as before (switching
> topic-tabs on cnn.com). However, after 10-20 runs, I had it happen on
> browser startup twice. In those cases, visuals freeze during the moonring
> spinner and the "Connecting..." message in the tab header, during the
> loading of my google.com homepage. As usual, moving the mouse wakes it up.

Do you have the logs for this run please? Unfortunately I think the improvement is only due to a timing change - all I did was add logging to this build. I fear this is a very timing dependent bug :-(
Created attachment 8344122 [details]
nrc_msgloop.log

Here's a log from a subsequent run where it froze on startup.

Comment 68

4 years ago
(In reply to Jan-Ivar Bruaroey [:jib] from comment #67)
> Created attachment 8344122 [details]
> nrc_msgloop.log
> 
> Here's a log from a subsequent run where it froze on startup.

Thanks! Was the lock up about 30secs and towards the beginning of the run, or could that have been just idle time?
Yes the lock up was on startup during loading of the initial homepage (frozen moonring spinner and "Connecting..." tab. 30 seconds sounds about right.

Comment 70

4 years ago
can bug 896896 be backed out of 27 beta too until a final fix is in reach?
Flags: needinfo?(ncameron)

Comment 71

4 years ago
(In reply to philipp from comment #70)
> can bug 896896 be backed out of 27 beta too until a final fix is in reach?

Yeah, I guess it should be.
Flags: needinfo?(ncameron)

Comment 72

4 years ago
(In reply to Nick Cameron [:nrc] from comment #71)
> (In reply to philipp from comment #70)
> > can bug 896896 be backed out of 27 beta too until a final fix is in reach?
> 
> Yeah, I guess it should be.

Done.

Updated

4 years ago
status-firefox27: affected → fixed
status-firefox29: --- → affected

Updated

4 years ago
Blocks: 937306

Comment 73

3 years ago
can bug 896896 be backed out for another beta cycle?
ncameron, I think we should back this out of all branches unless we have a concrete plan to fix it.
Flags: needinfo?(ncameron)

Comment 75

3 years ago
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #74)
> ncameron, I think we should back this out of all branches unless we have a
> concrete plan to fix it.

Yeah, I think I agree. The problem is that means when we turn OMTC on we fail a test (and possibly get real bugs too). ni? milan to make a call.
Flags: needinfo?(ncameron) → needinfo?(milan)
Yup, asked Bas for a recommendation.
Flags: needinfo?(milan) → needinfo?(bas)
status-firefox30: --- → affected
tracking-firefox29: --- → +
tracking-firefox30: --- → +
Nick, please back this out of all channels. lsblakk will mark branch approvals on a backout patch.

Comment 78

3 years ago
https://hg.mozilla.org/releases/mozilla-beta/rev/6ab352514ce1
status-firefox28: affected → fixed

Comment 79

3 years ago
https://hg.mozilla.org/releases/mozilla-aurora/rev/5a6283bb2a78
status-firefox29: affected → fixed

Comment 80

3 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/6139f344bbe5
https://hg.mozilla.org/releases/mozilla-b2g28_v1_3/rev/6ab352514ce1
status-b2g-v1.3: --- → fixed
Keywords: verifyme

Comment 82

3 years ago
This did in fact land on m-c, I can't find the exact commit, but I have verified on my local tree that the changes are there.
status-firefox30: affected → fixed
Same rev as the one that landed on inbound :)
https://hg.mozilla.org/mozilla-central/rev/6139f344bbe5
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla30
I was unable to reproduce this issue on Firefox 28 beta 8. 
Jan can you please verify the backout (this is still reproducible) on Firefox 28 beta 8? 
http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/28.0b8-candidates/build1/win32/en-US/
Flags: needinfo?(jib)
Keywords: verifyme
Unfortunately I don't have direct access to my dad's laptop where I observed this in comment 60. I've given the link to my dad who says he'll test it and get back to me.
My dad says he thinks he's not seeing the refresh-pause-until-he-moves-the-mouse problem anymore using your FF download (though note he still sees Bug 912521 which is why he stopped using Firefox).

However, he did see a new problem, which I observed as well over Skype with him, which may be related or it may not be:

When he scrolls down a page on cnn.com using the dedicated scrolling area of his trackpad, when he lets go and the odd vertical rectangle symbol disappears, instead of getting his mouse cursor back, his mouse turns into the blue MS spinner. This stays spinning until he moves the mouse, at which point he gets his regular pointer back. Nothing else appears frozen or snaps back.
Flags: needinfo?(jib)

Comment 87

3 years ago
We backed out the cause of this bug, so I would expect the bug to no longer reproduce. However, that means we re-introduced another bug which that patch fixed. I don't think that that should cause the scrolling issue, but maybe...
status-b2g-v1.3T: --- → fixed
status-b2g-v1.4: --- → fixed
(Assignee)

Comment 88

3 years ago
Ah, well, turns out this ni? is related to our current problems. We'll discuss on the new bug (937306) now that this has been backed out.
Flags: needinfo?(bas)
(Assignee)

Comment 89

3 years ago
This patch has been re-opened as we've re-landed the patch that was on m-c before in order to switch on OMTC and start getting testing results. We need to verify this bug still exists and I need to ensure this gets fixed before we ride the trains.
Assignee: ncameron → bas
Status: RESOLVED → REOPENED
Resolution: FIXED → ---

Updated

3 years ago
status-firefox32: --- → affected
tracking-firefox32: --- → ?
Paul, can you please check to see if this bug reproduces in Firefox 32.0a1?
Flags: needinfo?(paul.silaghi)
Keywords: qawanted
(Assignee)

Comment 91

3 years ago
(In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #90)
> Paul, can you please check to see if this bug reproduces in Firefox 32.0a1?

Check on tomorrow's nightly with OMTC as well :-).
Since this bug wasn't universal and may have been intermittent even then, I really think we should ask the people who were experiencing it the first time to try and reproduce.
(In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #90)
> Paul, can you please check to see if this bug reproduces in Firefox 32.0a1?
Due to lack of reliable STR and since the QA already tried to reproduce this without success (comments 37, 84), I'm afraid there isn't very much to test anyway.

(In reply to Jan-Ivar Bruaroey [:jib] from comment #62)
> Oddly, I'm able to reproduce it quite consistently now, just hitting the
> different topic-tabs on cnn.com. I waited more than 10 seconds to make sure
> it was really frozen and not just loading slowly, then I moved the mouse,
> observed the page building and quit Firefox after a few seconds.
Couldn't reproduce both in normal and e10s windows, 32.0a1 (2014-05-21) Win 7 x64
Flags: needinfo?(paul.silaghi)
Jan-Ivar, since you seemed to be able to reproduce this before, can you please test out the latest Nightly to see if that build is affected?
Flags: needinfo?(jib)
Keywords: qawanted
I'll try to arrange that, but the problem laptop is owned by a family member on a different continent from me, so it may take a few days.
I got to observe the problem laptop remotely and with a couple of tries we were not able to reproduce the symptoms in comment 62. That's no guarantee they're not there (see comment 60) but it is a good sign.

We're still seeing Bug 912521 fwiw.
Flags: needinfo?(jib)
Thanks Jan-Ivar. Bug 912521 has not been fixed yet so I would expect that it's still reproducible for you. I'm going to mark this bug resolved fixed based on your testing. Please reopen if this comes back.
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago3 years ago
Resolution: --- → FIXED
Whiteboard: [qa-]
status-firefox31: --- → fixed
status-firefox32: affected → fixed
tracking-firefox32: ? → ---
(Assignee)

Comment 98

3 years ago
I'd like to understand  -why- this was fixed, but for now let's run with it :-).
WORKSFORME because we don't know what fixed this issue.
Resolution: FIXED → WORKSFORME
New reports:

https://support.mozilla.org/en-US/questions/1018366

If we can get a regression range, that woul dbe great.
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---

Comment 101

3 years ago
this is the range a helpful affected user came up with:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=fda65b2f990a&tochange=62d1670e37d9

currently we have reports about this issue in firefox 32 from users on xp and windows 7 (32bit/64bit) on sumo.
I really think we should be opening a new bug for this. The regression reported in comment 101 points to Firefox 32 whereas *this* bug was a regression in Firefox 25. It would be easier to track these as separate yet related issues.
Whiteboard: [qa-]

Comment 103

3 years ago
it was the same bug 896896 that caused the issue in 25 and was backed out originally, that now appears to have relanded in 32 and is at the root of the mentioned problem again...
(Assignee)

Comment 104

3 years ago
Yeah, so this is the exact same issue as it was before, Jimm, any chance you could look into this?

I'm particularly curious about why only such a small amount of people suffer from this.
Flags: needinfo?(jmathies)

Comment 105

3 years ago
Probably another report about this issue, see bug 1064170.
[Tracking Requested - why for this release]: Updating tracking flags, if we do release a 32.0.1 and this has a fix it may be a nice rider.
status-firefox32: fixed → ?
tracking-firefox32: --- → ?
(Assignee)

Comment 107

3 years ago
(In reply to Tyler Downer [:Tyler] from comment #106)
> [Tracking Requested - why for this release]: Updating tracking flags, if we
> do release a 32.0.1 and this has a fix it may be a nice rider.

We don't have a fix :( afaik, we don't even have a machine yet which can reproduce this issue.
Needsinfo Mr. Smedberg. Let us know if you want us to track down some email addresses of users that can reproduce this issue.
Flags: needinfo?(benjamin)
ISTM that we have a patch that we can back out the same as last time. It was obvious this was going to happen when this re-landed.

Emails might be useful at some point, but only after we have a measurement tool or logging build to aid diagnosis.
Flags: needinfo?(benjamin)

Updated

3 years ago
Duplicate of this bug: 1064170
I think I've got this right, for anyone interested in some history:

2013-07-30 bug 896896, new wait loop, landed
2013-11-01 "page doesn't render" bug 933733 filed 
2013-11-11 new wait loop backed out fx 25, 26
2013-11-11 "fix it right" bug 937306 filed
2014-02-18 new wait loop backed out on all channels
2014-02-28 "page doesn't render" bug 933733 resolved fixed.
2014-05-17 bug 896896, new wait loop, landed again, no changes.
2014-05-17 "page doesn't render" bug 933733 reopened.
2014-05-27 "page doesn't render" bug 933733 resolved wfm.
2014-07-22 "fix it right" bug 937306 resolved with no patch.
2014-09-04 "page doesn't render" bug 933733 reopened due to reports.

So, I think we need to reopen "fix it right" bug 937306 and get someone on it.

I'm knee deep in e10s work right now and don't have time.
Flags: needinfo?(jmathies)

Comment 112

3 years ago
(In reply to Jim Mathies [:jimm] from comment #111)
> 2014-05-17 bug 896896, new wait loop, landed again, no changes.

Note that at that point nightly was 32, so that explains why we hit it again with the 32 release.
Jim confirmed that the patch on bug 896896 backs out cleanly on m-c. Expectation is that the patch will backout cleanly on all branches and that we want to back this out on m-c, aurora, and beta.
status-firefox32: ? → affected
status-firefox33: --- → affected
status-firefox34: --- → affected
status-firefox35: --- → affected
tracking-firefox32: ? → +
tracking-firefox33: --- → +
tracking-firefox34: --- → +
tracking-firefox35: --- → +
(Assignee)

Comment 114

3 years ago
(In reply to Lawrence Mandel [:lmandel] from comment #113)
> Jim confirmed that the patch on bug 896896 backs out cleanly on m-c.
> Expectation is that the patch will backout cleanly on all branches and that
> we want to back this out on m-c, aurora, and beta.

That means we also need to backout OMTC from all these branches, and any dependencies. Without bug 896896 our event loops bugs actually cause much more frequent freezes when trying to use OMTC :).
Flags: needinfo?(milan)
(In reply to Jim Mathies [:jimm] from comment #111)
> So, I think we need to reopen "fix it right" bug 937306 and get someone on
> it.
> 
> I'm knee deep in e10s work right now and don't have time.

Vladan has asked me to look into this. I'm attempting a rewrite of WinUtils::WaitForMessage that should play more nicely. I'm testing out locally to ensure that it doesn't break anything obvious but we'll probably need help from those affected users to know for sure whether this fixes the problem conclusively.
(In reply to Bas Schouten (:bas.schouten) from comment #114)
> That means we also need to backout OMTC from all these branches, and any
> dependencies. Without bug 896896 our event loops bugs actually cause much
> more frequent freezes when trying to use OMTC :).

Good thing OMTC is disabled on 32 at least.
(Assignee)

Comment 117

3 years ago
(In reply to Ryan VanderMeulen [:RyanVM UTC-4] from comment #116)
> (In reply to Bas Schouten (:bas.schouten) from comment #114)
> > That means we also need to backout OMTC from all these branches, and any
> > dependencies. Without bug 896896 our event loops bugs actually cause much
> > more frequent freezes when trying to use OMTC :).
> 
> Good thing OMTC is disabled on 32 at least.

Yes, sorry for not being clear. For the 32 chemspill we're all good with the backout. We'll need to try and fix this for Beta/Aurora. Hopefully Aaron's patch will help, if I understand Philipp has a line of communication to an affected user, so we should be able to figure out fairly quickly if it does.

Comment 118

3 years ago
this line of communication is public at https://support.mozilla.org/en-US/questions/1018521

one other affected user has claimed he could resolve the issue with a scan for malware with the adwcleaner tool (including a log): https://support.mozilla.org/en-US/questions/1018259#answer-625817
not sure how valid this report is, but since there are not much other leads at the moment maybe it can help in some way...

Updated

3 years ago
Blocks: 912521
(In reply to Aaron Klotz [:aklotz] from comment #115)
> (In reply to Jim Mathies [:jimm] from comment #111)
> > So, I think we need to reopen "fix it right" bug 937306 and get someone on
> > it.
> > 
> > I'm knee deep in e10s work right now and don't have time.
> 
> Vladan has asked me to look into this. I'm attempting a rewrite of
> WinUtils::WaitForMessage that should play more nicely. I'm testing out
> locally to ensure that it doesn't break anything obvious but we'll probably
> need help from those affected users to know for sure whether this fixes the
> problem conclusively.

Awesome, thanks! There's a mochitest test case over in bug 1005317 that might help in testing.

Also, can we do the actual work in bug 937306?
> Also, can we do the actual work in bug 937306?

Thanks again!
Bug 896896 backed out from m-r.
https://hg.mozilla.org/releases/mozilla-release/rev/e99c2d9a3243
status-firefox32: affected → fixed
status-firefox-esr31: --- → fixed
Target Milestone: mozilla30 → ---
Flags: needinfo?(milan)

Comment 122

3 years ago
I'm told that with the fix for bug 937306, this is supposed to be actually fixed on Nightly. Do we have anyone who actually saw this and who can verify this?

Comment 123

3 years ago
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #122)
> I'm told that with the fix for bug 937306, this is supposed to be actually
> fixed on Nightly. Do we have anyone who actually saw this and who can verify
> this?
You can ask the reporter of bug 1064170, he has the same issue.
I'm not sure if I have seen the same while I was running yesterdays (Sep 18th) nightly with e10s enabled, but the whole content area was not redrawn until I have moved the whole window with the mouse. So in my case it was not enough to simply move the mouse. Restarting Nightly made this problem go away. A look into the console reveals the following lines to be listed:

###!!! [Child][DispatchAsyncMessage] Error: (msgtype=0xA60001,name=PTexture::Msg___delete__) Route error: message sent to unknown actor ID

Not sure if that is somewhat related.
Wait. This bug seems to be Windows only? So I might have seen something different given that I'm on Linux.
Too late for 33.
status-firefox33: affected → wontfix
Isn't this supposed to be fixed on 33 by the various deps we've uplifted?
(In reply to Ryan VanderMeulen [:RyanVM UTC-4] from comment #127)
> Isn't this supposed to be fixed on 33 by the various deps we've uplifted?

Bug 937306 and bug 1072752, that is. Though I guess we're sorely lacking in any confirmation from affected users :(

Comment 129

3 years ago
Yes, we sorely need confirmation that this isn't happening on current 33 Beta versions. If we cannot get confirmation, we run danger of releasing once again with this bug in place.

Also note that we can't just solve this with a backout any more as OMTC requires the work from bug 896896 and 33 shows broken behavior in multiple cases without OMTC.

So, please, if you saw this bug on Windows in previous releases/versions, *please* help us and test current Firefox Beta - and tell us if it's fixed there!
I'm able to reproduce this (or something like it) and have been for a few days now (maybe a week). I filed https://bugzilla.mozilla.org/show_bug.cgi?id=1077644 earlier today and just found this bug.

I'm running Firefox Nightly 35.0a1 (2014-10-03) on Windows 7 Default Aero theme (Lenovo W520) and hardware acceleration disabled.
Created attachment 8499965 [details]
2014-10-04_0142.swf

Here's video of me reproducing this bug.
That seems like a rendering problem rather than a WaitMessage problem and is probably a different bug. It is unlike the symptom here which is that rendering pauses entirely until a mouse move input event unfreezes updating, at which point the whole screen appears normal without rendering errors.

Comment 133

3 years ago
Oh, no, it's happening again! Firefox was automatically updated (FF 33.0) and the problem is there again!
(Assignee)

Comment 134

3 years ago
(In reply to Gábor Sóvári from comment #133)
> Oh, no, it's happening again! Firefox was automatically updated (FF 33.0)
> and the problem is there again!

Might be the same problem Jared is seeing. Could also be something new or what was uplifted to beta and not Aurora? (although that seems unlikely)

Or just plain bad luck.
(In reply to Gábor Sóvári from comment #133)
> Oh, no, it's happening again! Firefox was automatically updated (FF 33.0)
> and the problem is there again!

Admittedly, I looked very quickly, but I didn't see the about:support graphics section posted anywhere - could we see what yours says?

Comment 136

3 years ago
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #129)
> So, please, if you saw this bug on Windows in previous releases/versions,
> *please* help us and test current Firefox Beta - and tell us if it's fixed
> there!

We still get a number of people reporting this issue on 33 release - however in most cases it turns out that malware is involved and the issue can be addressed by using some scan tools like adwcleaner or malwarebytes to remove unwanted software.
one user singled out "VideoDownloadConverter" in particular as causing the issue: http://www.camp-firefox.de/forum/viewtopic.php?p=941172#p941172
See Also: → bug 1092469

Updated

3 years ago
Depends on: 1094086
See Also: → bug 1090554
See Also: bug 1090554

Comment 137

3 years ago
have scanned for malware - nothing.  Was also affected with v25, went away, now it's back and HORRIBLE!

  graphics stats:

Adapter Description	NVIDIA GeForce GT 440
Adapter Drivers	nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
Adapter RAM	1536
Device ID	0x0dc0
Direct2D Enabled	true
DirectWrite Enabled	true (6.2.9200.16492)
Driver Date	1-18-2013
Driver Version	9.18.13.1106
GPU #2 Active	false
GPU Accelerated Windows	1/1 Direct3D 11 (OMTC)
Vendor ID	0x10de
WebGL Renderer	Google Inc. -- ANGLE (NVIDIA GeForce GT 440 Direct3D9Ex vs_3_0 ps_3_0)
windowLayerManagerRemote	true
AzureCanvasBackend	direct2d
AzureContentBackend	direct2d
AzureFallbackCanvasBackend	cairo
AzureSkiaAccelerated	0
aklotz, is there any information John could give you to help track this down? e.g. NSPR logs?

John, do you use Flash? Could you try completely disabling Flash in the addons manager and see if this still reproduces?
Flags: needinfo?(speedy)
Flags: needinfo?(aklotz)

Comment 139

3 years ago
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #138)
> aklotz, is there any information John could give you to help track this
> down? e.g. NSPR logs?
> 
> John, do you use Flash? Could you try completely disabling Flash in the
> addons manager and see if this still reproduces?

I deactivated Shockwave Flash, relaunched browser and it still hangs until mouse is moved.

Comment 140

3 years ago
(In reply to John from comment #139)
> (In reply to Benjamin Smedberg  [:bsmedberg] from comment #138)
> > aklotz, is there any information John could give you to help track this
> > down? e.g. NSPR logs?
> > 
> > John, do you use Flash? Could you try completely disabling Flash in the
> > addons manager and see if this still reproduces?
> 
> I deactivated Shockwave Flash, relaunched browser and it still hangs until
> mouse is moved.

Any chance you could update your NVidia drivers to v344.60 to eliminate it being GFX related?

Comment 141

3 years ago
(In reply to Arthur K. from comment #140)
> (In reply to John from comment #139)
> > (In reply to Benjamin Smedberg  [:bsmedberg] from comment #138)
> > > aklotz, is there any information John could give you to help track this
> > > down? e.g. NSPR logs?
> > > 
> > > John, do you use Flash? Could you try completely disabling Flash in the
> > > addons manager and see if this still reproduces?
> > 
> > I deactivated Shockwave Flash, relaunched browser and it still hangs until
> > mouse is moved.
> 
> Any chance you could update your NVidia drivers to v344.60 to eliminate it
> being GFX related?

I upgraded the driver to v344.60, also updated FF to the new 33.03. Did a restart on the machine and the issue still exists.
Flags: needinfo?(speedy)
John, are you comfortable with running programs from the command line?
Flags: needinfo?(speedy)

Comment 143

3 years ago
(In reply to Aaron Klotz [:aklotz] from comment #142)
> John, are you comfortable with running programs from the command line?

Yes.
Flags: needinfo?(speedy)
John, would you mind downloading and installing procdump from
http://technet.microsoft.com/en-us/sysinternals/dd996900

Have a command prompt open when you run firefox. When you encounter the problem, run:
procdump -accepteula firefox firefox.dmp

and attach the resulting firefox.dmp file to this bug?

The output by default does not include process memory, so I don't expect privacy issues. If you would rather provide the output directly to me, do not hesitate to send me an email.
Flags: needinfo?(aklotz) → needinfo?(speedy)

Comment 145

3 years ago
(In reply to Aaron Klotz [:aklotz] from comment #144)
> John, would you mind downloading and installing procdump from
> http://technet.microsoft.com/en-us/sysinternals/dd996900
> 
> Have a command prompt open when you run firefox. When you encounter the
> problem, run:
> procdump -accepteula firefox firefox.dmp
> 
> and attach the resulting firefox.dmp file to this bug?
> 
> The output by default does not include process memory, so I don't expect
> privacy issues. If you would rather provide the output directly to me, do
> not hesitate to send me an email.

Error creating dump file:
Error 0x00000005 (5): Access is denied.
C:\firefox.dmp
[11:19:57] Dump count not reached.

I tried turning off firewall and it didn't help. I'm running as admin so I don't know where this is coming from.
Flags: needinfo?(speedy)

Comment 146

3 years ago
(In reply to John from comment #145)
> (In reply to Aaron Klotz [:aklotz] from comment #144)
> > John, would you mind downloading and installing procdump from
> > http://technet.microsoft.com/en-us/sysinternals/dd996900
> > 
> > Have a command prompt open when you run firefox. When you encounter the
> > problem, run:
> > procdump -accepteula firefox firefox.dmp
> > 
> > and attach the resulting firefox.dmp file to this bug?
> > 
> > The output by default does not include process memory, so I don't expect
> > privacy issues. If you would rather provide the output directly to me, do
> > not hesitate to send me an email.
> 
> Error creating dump file:
> Error 0x00000005 (5): Access is denied.
> C:\firefox.dmp
> [11:19:57] Dump count not reached.
> 
> I tried turning off firewall and it didn't help. I'm running as admin so I
> don't know where this is coming from.

The other potential problem is when I load a page in FF and it instantly freezes, then when I alt-tab, or click to the cmd window the browser continues to load without hesitation since it's not the active window.  The freezing only happens when FF it the active window.
(In reply to John from comment #146)
> The other potential problem is when I load a page in FF and it instantly
> freezes, then when I alt-tab, or click to the cmd window the browser
> continues to load without hesitation since it's not the active window.  The
> freezing only happens when FF it the active window.

That's interesting and useful feedback, thank you!

I'm going to need to think about this and get back to you. Thanks for your patience in helping us to troubleshoot this; you're the first user experiencing this problem that I've been able to directly interact with.
Are there any other addons are plugins that you use that we should know about?
Could you share your extensions section in about:support and the plugins list in about:plugins?
Please see comment 148.
Flags: needinfo?(speedy)

Comment 150

3 years ago
(In reply to Aaron Klotz [:aklotz] from comment #148)
> Are there any other addons are plugins that you use that we should know
> about?
> Could you share your extensions section in about:support and the plugins
> list in about:plugins?

EXTENSIONS:

LastPass	3.1.54	true	support@lastpass.com
Adobe Acrobat - Create PDF	2.0	false	web2pdfextension@web2pdf.adobedotcom
Firebug	2.0.6	false	firebug@software.joehewitt.com
L-Square	1.0.rev45.1	false	jid0-rHbcb15YKwwZZKch6mMaQsRxGhg@jetpack
Lightbeam	1.0.10.2	false	jid1-F9UJ2thwoAm5gQ@jetpack
MeasureIt	0.4.13	false	{75CEEE46-9B64-46f8-94BF-54012DE155F0}
RT News	1.0	false	jid1-ReWlW1efOwaQJQ@jetpack


PLUGINS:

OpenH264 Video Codec provided by Cisco Systems, Inc.

    File: 1.1
    Path: C:\Users\John\AppData\Roaming\Mozilla\Firefox\Profiles\efm6gfz8.default-1410982520151\gmp-gmpopenh264\1.1
    Version: 1.1
    State: Enabled
    Play back web video and use video chats.

MIME Type	Description	Suffixes
Shockwave Flash

    File: NPSWF32_15_0_0_189.dll
    Path: C:\Windows\SysWOW64\Macromed\Flash\NPSWF32_15_0_0_189.dll
    Version: 15.0.0.189
    State: Enabled
    Shockwave Flash 15.0 r0

MIME Type	Description	Suffixes
application/x-shockwave-flash	Adobe Flash movie	swf
application/futuresplash	FutureSplash movie	spl
NVIDIA 3D Vision

    File: npnv3dv.dll
    Path: C:\Program Files (x86)\NVIDIA Corporation\3D Vision\npnv3dv.dll
    Version: 7.17.13.4460
    State: Enabled
    NVIDIA 3D Vision plugin for Mozilla browsers

MIME Type	Description	Suffixes
image/jps	JPEG-based stereo image	jps
image/pns	PNG-based stereo image	pns
image/mpo	Multi-Picture Format image	mpo
NVIDIA 3D VISION

    File: npnv3dvstreaming.dll
    Path: C:\Program Files (x86)\NVIDIA Corporation\3D Vision\npnv3dvstreaming.dll
    Version: 7.17.13.4460
    State: Enabled
    NVIDIA 3D Vision Streaming plugin for Mozilla browsers

MIME Type	Description	Suffixes
application/mozilla-3dv-streaming-plugin	npnv3dvstreaming	rts
Google Update

    File: npGoogleUpdate3.dll,npGoogleUpdate3.dll
    Path: C:\Program Files (x86)\Google\Update\1.3.25.5\npGoogleUpdate3.dll,C:\Users\John\AppData\Local\Google\Update\1.3.25.5\npGoogleUpdate3.dll
    Version: 1.3.25.5
    State: Enabled
    Google Update

MIME Type	Description	Suffixes
application/x-vnd.google.update3webcontrol.3		
application/x-vnd.google.oneclickctrl.9		
application/x-vnd.google.update3webcontrol.3		
application/x-vnd.google.oneclickctrl.9		
Adobe Acrobat

    File: nppdf32.dll,nppdf32.dll,nppdf32.dll
    Path: C:\Program Files (x86)\Adobe\Acrobat 11.0\Acrobat\Air\nppdf32.dll,C:\Program Files (x86)\Adobe\Reader 11.0\Reader\browser\nppdf32.dll,C:\Program Files (x86)\Adobe\Reader 11.0\Reader\AIR\nppdf32.dll
    Version: 11.0.9.29
    State: Enabled
    Adobe PDF Plug-In For Firefox and Netscape 11.0.9

MIME Type	Description	Suffixes
application/pdf	Acrobat Portable Document Format	pdf
application/vnd.adobe.pdfxml	Adobe PDF in XML Format	pdfxml
application/vnd.adobe.x-mars	Adobe PDF in XML Format	mars
application/vnd.fdf	Acrobat Forms Data Format	fdf
application/vnd.adobe.xfdf	XML Version of Acrobat Forms Data Format	xfdf
application/vnd.adobe.xdp+xml	Acrobat XML Data Package	xdp
application/vnd.adobe.xfd+xml	Adobe FormFlow99 Data File	xfd
application/pdf	Acrobat Portable Document Format	pdf
application/vnd.adobe.pdfxml	Adobe PDF in XML Format	pdfxml
application/vnd.adobe.x-mars	Adobe PDF in XML Format	mars
application/vnd.fdf	Acrobat Forms Data Format	fdf
application/vnd.adobe.xfdf	XML Version of Acrobat Forms Data Format	xfdf
application/vnd.adobe.xdp+xml	Acrobat XML Data Package	xdp
application/vnd.adobe.xfd+xml	Adobe FormFlow99 Data File	xfd
application/pdf	Acrobat Portable Document Format	pdf
application/vnd.adobe.pdfxml	Adobe PDF in XML Format	pdfxml
application/vnd.adobe.x-mars	Adobe PDF in XML Format	mars
application/vnd.fdf	Acrobat Forms Data Format	fdf
application/vnd.adobe.xfdf	XML Version of Acrobat Forms Data Format	xfdf
application/vnd.adobe.xdp+xml	Acrobat XML Data Package	xdp
application/vnd.adobe.xfd+xml	Adobe FormFlow99 Data File	xfd
Java(TM) Platform SE 7 U67

    File: npjp2.dll
    Path: C:\Program Files (x86)\Java\jre7\bin\plugin2\npjp2.dll
    Version: 10.67.2.1
    State: Enabled
    Next Generation Java Plug-in 10.67.2 for Mozilla browsers

MIME Type	Description	Suffixes
application/x-java-applet	Java Applet	
application/x-java-bean	JavaBeans	
application/x-java-vm		
application/x-java-applet;version=1.1.1		
application/x-java-bean;version=1.1.1		
application/x-java-applet;version=1.1		
application/x-java-bean;version=1.1		
application/x-java-applet;version=1.2		
application/x-java-bean;version=1.2		
application/x-java-applet;version=1.1.3		
application/x-java-bean;version=1.1.3		
application/x-java-applet;version=1.1.2		
application/x-java-bean;version=1.1.2		
application/x-java-applet;version=1.3		
application/x-java-bean;version=1.3		
application/x-java-applet;version=1.2.2		
application/x-java-bean;version=1.2.2		
application/x-java-applet;version=1.2.1		
application/x-java-bean;version=1.2.1		
application/x-java-applet;version=1.3.1		
application/x-java-bean;version=1.3.1		
application/x-java-applet;version=1.4		
application/x-java-bean;version=1.4		
application/x-java-applet;version=1.4.1		
application/x-java-bean;version=1.4.1		
application/x-java-applet;version=1.4.2		
application/x-java-bean;version=1.4.2		
application/x-java-applet;version=1.5		
application/x-java-bean;version=1.5		
application/x-java-applet;version=1.6		
application/x-java-bean;version=1.6		
application/x-java-applet;version=1.7		
application/x-java-bean;version=1.7		
application/x-java-applet;jpi-version=1.7.0_67		
application/x-java-bean;jpi-version=1.7.0_67		
application/x-java-vm-npruntime		
application/x-java-applet;deploy=10.67.2		
application/x-java-applet;javafx=2.2.67		
Java Deployment Toolkit 7.0.670.1

    File: npdeployJava1.dll
    Path: C:\Program Files (x86)\Java\jre7\bin\dtplugin\npdeployJava1.dll
    Version: 10.67.2.1
    State: Enabled (STATE_VULNERABLE_NO_UPDATE)
    NPRuntime Script Plug-in Library for Java(TM) Deploy

MIME Type	Description	Suffixes
application/java-deployment-toolkit		
Silverlight Plug-In

    File: npctrl.dll
    Path: c:\Program Files (x86)\Microsoft Silverlight\5.1.30514.0\npctrl.dll
    Version: 5.1.30514.0
    State: Enabled
    5.1.30514.0

MIME Type	Description	Suffixes
application/x-silverlight	npctrl	scr
application/x-silverlight-2		
AdobeAAMDetect

    File: npAdobeAAMDetect32.dll
    Path: C:\Program Files (x86)\Common Files\Adobe\OOBE\PDApp\CCM\Utilities\npAdobeAAMDetect32.dll
    Version: 1.0.0.0
    State: Enabled
    A plugin to detect whether the Adobe Application Manager is installed on this machine.

MIME Type	Description	Suffixes
application/x-adobeaamdetect	AdobeAAMDetect	
Mindspark Toolbar Platform Plugin Stub

    File: NP4jStub.dll
    Path: C:\Program Files (x86)\RadioRage_4j\bar\1.bin\NP4jStub.dll
    Version: 1.0.2.0
    State: Enabled
    Mindspark Toolbar Platform Plugin Stub for 32-bit Windows

MIME Type	Description	Suffixes
application/x-radiorage_4jplugin	Mindspark Toolbar Platform Plugin Stub	4j
Google Earth Plugin

    File: npgeplugin.dll
    Path: C:\Program Files (x86)\Google\Google Earth\plugin\npgeplugin.dll
    Version: 7.1.2.2041
    State: Enabled
    GEPlugin

MIME Type	Description	Suffixes
application/geplugin	GEPlugin	
iTunes Application Detector

    File: npitunes.dll
    Path: C:\Program Files\iTunes\Mozilla Plugins\npitunes.dll
    Version: 1.0.1.1
    State: Enabled
    iTunes Detector Plug-in

MIME Type	Description	Suffixes
application/itunes-plugin	This plug-in detects the presence of iTunes when opening iTunes Store URLs in a web page with Firefox.	
Shockwave Flash

    File: NPSWF32_11_8_800_168.dll
    Path: C:\Windows\SysWOW64\Macromed\Flash\NPSWF32_11_8_800_168.dll
    Version: 11.8.800.168
    State: Enabled
    Shockwave Flash 11.8 r800

MIME Type	Description	Suffixes
application/x-shockwave-flash	Adobe Flash movie	swf
application/futuresplash	FutureSplash movie	spl
QuickTime Plug-in 7.7.4

    File: npqtplugin5.dll,npqtplugin4.dll,npqtplugin3.dll,npqtplugin2.dll,npqtplugin.dll
    Path: C:\Program Files (x86)\QuickTime\Plugins\npqtplugin5.dll,C:\Program Files (x86)\QuickTime\Plugins\npqtplugin4.dll,C:\Program Files (x86)\QuickTime\Plugins\npqtplugin3.dll,C:\Program Files (x86)\QuickTime\Plugins\npqtplugin2.dll,C:\Program Files (x86)\QuickTime\Plugins\npqtplugin.dll
    Version: 7.7.4.0
    State: Enabled
    The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

MIME Type	Description	Suffixes
application/x-mpeg	AMC media	amc
video/mp4	MPEG-4 media	mp4
audio/mp4	MPEG-4 media	mp4
audio/x-m4a	AAC audio	m4a
audio/x-m4p	AAC audio	m4p
audio/x-m4b	AAC audio book	m4b
video/x-m4v	Video	m4v
audio/mpeg	MPEG audio	mpeg,mpg,m1s,m1a,mp2,mpm,mpa,m2a
audio/x-mpeg	MPEG audio	mpeg,mpg,m1s,m1a,mp2,mpm,mpa,m2a
video/3gpp	3GPP media	3gp,3gpp
audio/3gpp	3GPP media	3gp,3gpp
video/3gpp2	3GPP2 media	3g2,3gp2
audio/3gpp2	3GPP2 media	3g2,3gp2
video/sd-video	SD video	sdv
audio/x-aac	AAC audio	aac,adts
audio/x-caf	CAF audio	caf
audio/x-ac3	AC3 audio	ac3
video/x-mpeg	MPEG media	mpeg,mpg,m1s,m1v,m1a,m75,m15,mp2,mpm,mpv,mpa
video/mpeg	MPEG media	mpeg,mpg,m1s,m1v,m1a,m75,m15,mp2,mpm,mpv,mpa
audio/aiff	AIFF audio	aiff,aif,aifc,cdda
audio/x-aiff	AIFF audio	aiff,aif,aifc,cdda
audio/basic	uLaw/AU audio	au,snd,ulw
audio/mid	MIDI	mid,midi,smf,kar
audio/vnd.qcelp	QUALCOMM PureVoice audio	qcp
audio/x-gsm	GSM audio	gsm
audio/amr	AMR audio	AMR
audio/aac	AAC audio	aac,adts
application/sdp	SDP stream descriptor	sdp
application/x-sdp	SDP stream descriptor	sdp
application/x-rtsp	RTSP stream descriptor	rtsp,rts
video/quicktime	QuickTime Movie	mov,qt,mqv
video/flc	AutoDesk Animator	flc,fli,cel
audio/x-wav	WAVE audio	wav,bwf
audio/wav	WAVE audio	wav,bwf
Citrix Online Web Deployment Plugin 1.0.0.104

    File: npappdetector.dll
    Path: C:\Users\John\AppData\Local\Citrix\Plugins\104\npappdetector.dll
    Version: 1.0.0.104
    State: Enabled
    Citrix Online App Detector Plugin

MIME Type	Description	Suffixes
application/x-col-application-detector	Citrix Online App Detector Plugin	colappdetector
PCShow Player Plugin

    File: npPlayerPlugin.dll
    Path: C:\Users\John\AppData\Local\DIRECTV Player\npPlayerPlugin.dll
    Version: 1.0.0.1
    State: Enabled
    NDS Player Plugin

MIME Type	Description	Suffixes
application/x-pcshow-player	PCShow Player Plugin	
Stamps.com Web Client NPAPI Plug-in

    File: npsdcwc.dll
    Path: C:\Program Files (x86)\Stamps.com Web Postage Plug-in\npsdcwc.dll
    Version: 1.1.0.41
    State: Enabled
    npsdcwc.dll

MIME Type	Description	Suffixes
application/x-sdc-omnibus-05		
Windows Live™ Photo Gallery

    File: NPWLPG.dll
    Path: C:\Program Files (x86)\Windows Live\Photo Gallery\NPWLPG.dll
    Version: 15.4.3508.1109
    State: Enabled
    NPWLPG

MIME Type	Description	Suffixes
application/x-wlpg3-detect	Windows Live™ Photo Gallery	wlpg
application/x-wlpg-detect	Windows Live™ Photo Gallery	wlpg
Flags: needinfo?(speedy)
OK, alternative plan:

Which directory are you running procdump from? That could by why you're seeing access denied. I'd suggest running it from your %USERPROFILE% directory ( C:\users\<username> ).

Let's try this:

1) Start firefox, prepare to repdroduce the issue (but don't initiate the repro yet);
2) Run:
procdump -s 5 -n 6
This will set procdump to obtain 6 dumps, 5 seconds between each dump, giving you time to switch back to Firefox and reproduce the issue
3) Switch back to firefox and reproduce the issue
4) Wait for procdump to finish (~30 seconds)
5) procdump should have generated 6 .dmp files as output.
Flags: needinfo?(speedy)
Gah, I made a mistake in step (2). That command should be:
procdump -s 5 -n 6 firefox
Flags: needinfo?(speedy)
John, please see the instructions in comment 151 and the correction in comment 152.
Flags: needinfo?(speedy)

Comment 154

3 years ago
(In reply to Aaron Klotz [:aklotz] from comment #152)
> Gah, I made a mistake in step (2). That command should be:
> procdump -s 5 -n 6 firefox

before I read 152 I figured it out and used the original firefox firefox.dmp in the command and it worked.  (ignore my typo of frefox in the filenames)

How do I get the files to you? They are 14.8MB each
Flags: needinfo?(speedy)

Comment 155

3 years ago
(In reply to John from comment #154)
> (In reply to Aaron Klotz [:aklotz] from comment #152)
> > Gah, I made a mistake in step (2). That command should be:
> > procdump -s 5 -n 6 firefox
> 
> before I read 152 I figured it out and used the original firefox firefox.dmp
> in the command and it worked.  (ignore my typo of frefox in the filenames)
> 
> How do I get the files to you? They are 14.8MB each

never mind, i figured it out and sent them in a zip file to Attachments

Comment 156

3 years ago
Created attachment 8519209 [details]
proc dump 1 of 6

bug id 933733  from comment 152
Attachment #8519209 - Flags: feedback?(aklotz)

Comment 157

3 years ago
Created attachment 8519213 [details]
proc dump 2 of 6

Comment 158

3 years ago
Created attachment 8519215 [details]
proc dump 3 of 6

Comment 159

3 years ago
Created attachment 8519217 [details]
proc dump 4 of 6

Comment 160

3 years ago
Created attachment 8519219 [details]
proc dump 5 of 6

Comment 161

3 years ago
Created attachment 8519221 [details]
proc dump 6 of 6

Comment 162

3 years ago
(In reply to John from comment #146)
> (In reply to John from comment #145)
> > (In reply to Aaron Klotz [:aklotz] from comment #144)
> > > John, would you mind downloading and installing procdump from
> > > http://technet.microsoft.com/en-us/sysinternals/dd996900
> > > 
> > > Have a command prompt open when you run firefox. When you encounter the
> > > problem, run:
> > > procdump -accepteula firefox firefox.dmp
> > > 
> > > and attach the resulting firefox.dmp file to this bug?
> > > 
> > > The output by default does not include process memory, so I don't expect
> > > privacy issues. If you would rather provide the output directly to me, do
> > > not hesitate to send me an email.
> > 
> > Error creating dump file:
> > Error 0x00000005 (5): Access is denied.
> > C:\firefox.dmp
> > [11:19:57] Dump count not reached.
> > 
> > I tried turning off firewall and it didn't help. I'm running as admin so I
> > don't know where this is coming from.
> 
> The other potential problem is when I load a page in FF and it instantly
> freezes, then when I alt-tab, or click to the cmd window the browser
> continues to load without hesitation since it's not the active window.  The
> freezing only happens when FF it the active window.

I don't know that it matters but is this a PS/2, USB, or PS/2-to-USB type mouse? Is it using the generic Windows driver or a vendor-specific driver? What brand and model of mouse is it?

Comment 163

3 years ago
(In reply to Arthur K. from comment #162)
> (In reply to John from comment #146)
> > (In reply to John from comment #145)
> > > (In reply to Aaron Klotz [:aklotz] from comment #144)
> > > > John, would you mind downloading and installing procdump from
> > > > http://technet.microsoft.com/en-us/sysinternals/dd996900
> > > > 
> > > > Have a command prompt open when you run firefox. When you encounter the
> > > > problem, run:
> > > > procdump -accepteula firefox firefox.dmp
> > > > 
> > > > and attach the resulting firefox.dmp file to this bug?
> > > > 
> > > > The output by default does not include process memory, so I don't expect
> > > > privacy issues. If you would rather provide the output directly to me, do
> > > > not hesitate to send me an email.
> > > 
> > > Error creating dump file:
> > > Error 0x00000005 (5): Access is denied.
> > > C:\firefox.dmp
> > > [11:19:57] Dump count not reached.
> > > 
> > > I tried turning off firewall and it didn't help. I'm running as admin so I
> > > don't know where this is coming from.
> > 
> > The other potential problem is when I load a page in FF and it instantly
> > freezes, then when I alt-tab, or click to the cmd window the browser
> > continues to load without hesitation since it's not the active window.  The
> > freezing only happens when FF it the active window.
> 
> I don't know that it matters but is this a PS/2, USB, or PS/2-to-USB type
> mouse? Is it using the generic Windows driver or a vendor-specific driver?
> What brand and model of mouse is it?

I'm using a USB wireless laser point Logitech M705 which uses a Windows driver.
Comment on attachment 8519209 [details]
proc dump 1 of 6

Was Flash enabled or disabled when you obtained these dumps? One of the dumps is on a code path involving plugins, so either Flash was running or something else (maybe Silverlight?) was.
Flags: needinfo?(speedy)
Attachment #8519209 - Flags: feedback?(aklotz)

Comment 165

3 years ago
(In reply to Aaron Klotz [:aklotz] from comment #164)
> Comment on attachment 8519209 [details]
> proc dump 1 of 6
> 
> Was Flash enabled or disabled when you obtained these dumps? One of the
> dumps is on a code path involving plugins, so either Flash was running or
> something else (maybe Silverlight?) was.

Flash was disabled. I ran a YouTube video during the test because those freeze as well (sometimes the audio still plays [buffer?] but the video stops). If I click off the browser page and make any other window active the freezing goes away and the content loads.
Flags: needinfo?(speedy)

Comment 166

3 years ago
This behavior in FF seemingly began immediately following an update to Adobe Flash Player in Win7-32bit.  It is occurring on a friend's computer, so I don't have it in front of me at the moment, but got a call tonight reporting this no-loading unless mouse is constantly moved.
As we haven't yet found the cause, we're going to ship 34 with this issue.
status-firefox34: affected → wontfix
status-firefox36: --- → affected
tracking-firefox36: --- → +

Comment 168

3 years ago
Hello
I've the same bug, but can't remind since when.
The page doesn't load if I don't move the mouse.
The problem occurs only when Firefox is the active app.

Mouse G500s logitech
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:33.0) Gecko/20100101 Firefox/33.0

Comment 169

3 years ago
manarbre, can you try to run a scan of your system with the free version of malwarebytes from https://www.malwarebytes.org/mwb-download/ (automatic download)?
i case this tool finds malware & removing it can address the loading issue issue, please attach the scan log from malwarebytes to this bug report...

Comment 170

3 years ago
Created attachment 8526767 [details]
MalwareBytes log

Comment 171

3 years ago
MalwareBytes quarantined some files, but the problem persist.

Comment 172

3 years ago
I've found the solution for me.
It seems to be ShrinkPic, a little software which shrinks JPG on the fly, for mail or web...
Desactivating it operates firefox and pages are loading normaly, without moving the mouse !
I can indeed reproduce this on a fresh install of Windows 7 x64 (fully updated), with Firefox Nightly and Shrink Pic [1] on my VM. Nightly seems to hang while pictures are being loaded until I move the mouse.

[1] http://www.onthegosoft.com/shrink_pic.htm
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #173)
> I can indeed reproduce this on a fresh install of Windows 7 x64 (fully
> updated), with Firefox Nightly and Shrink Pic [1] on my VM. Nightly seems to
> hang while pictures are being loaded until I move the mouse.
> 
> [1] http://www.onthegosoft.com/shrink_pic.htm

It looks like that software has not been maintained for 5 years. I'm not sure there's anything we can do in Firefox code about that.

Comment 175

3 years ago
Sure, it's easier to not start this software at windows's startup.
(In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #174)
> It looks like that software has not been maintained for 5 years. I'm not
> sure there's anything we can do in Firefox code about that.

I'm just confirming it as a way to reproduce the issue, since as far as I know we've had no way to do that until now. Worst case we can probably block whatever hook the program is using that's messing us up, but it would be nice to know where things are going wrong.
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #176)
> (In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #174)
> > It looks like that software has not been maintained for 5 years. I'm not
> > sure there's anything we can do in Firefox code about that.
> 
> I'm just confirming it as a way to reproduce the issue, since as far as I
> know we've had no way to do that until now. Worst case we can probably block
> whatever hook the program is using that's messing us up, but it would be
> nice to know where things are going wrong.

Indeed, whatever they do in this app others might be doing.
(In reply to Jim Mathies [:jimm] from comment #177)
> Indeed, whatever they do in this app others might be doing.

Yeah, that's fair. What do you need from QA to move this forward?

FWIW, I'd prefer if we forked further work of this issue to a new bug report. The original case for this has been fixed a few releases back. I'd find this easier to follow if we had a separate bug report linked to this one.
(In reply to Anthony Hughes, QA Mentor (:ashughes) from comment #178)
> (In reply to Jim Mathies [:jimm] from comment #177)
> > Indeed, whatever they do in this app others might be doing.
> 
> Yeah, that's fair. What do you need from QA to move this forward?
> 
> FWIW, I'd prefer if we forked further work of this issue to a new bug
> report. The original case for this has been fixed a few releases back. I'd
> find this easier to follow if we had a separate bug report linked to this
> one.

A fresh bug sounds like a good idea. Not sure QA can help much here, we need to get an engineer poking at this app when we have free cycles.
Blocks: 1105386
(In reply to Jim Mathies [:jimm] from comment #179)
> A fresh bug sounds like a good idea.

I've gone ahead and done that now. Anyone else who encounters this bug, please add your feedback and information to bug 1105386. *This* bug report will now be closed.
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago3 years ago
Resolution: --- → FIXED
Whiteboard: [DO NOT REOPEN, see bug 1105386]
Given the new bug and the duration of this one, marking wontfix here to clear this out of tracking queues.
status-firefox35: affected → wontfix
status-firefox36: affected → wontfix

Updated

2 years ago
Duplicate of this bug: 1092469
You need to log in before you can comment on or make changes to this bug.